Package com.sap.ai.sdk.core.model

# Class BckndGenericSecretDetails

java.lang.Object
com.sap.ai.sdk.core.model.BckndGenericSecretDetails

public class BckndGenericSecretDetails extends Object
BckndGenericSecretDetails

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndGenericSecretDetails.Builder`
  Builder helper class.
  `static interface`
  `BckndGenericSecretDetails.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndGenericSecretDetails()`
  Default constructor for BckndGenericSecretDetails.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndGenericSecretDetails`
  `addLabelsItem(BckndGenericSecretLabel labelsItem)`
  Add one labels instance to this `BckndGenericSecretDetails`.
  `static BckndGenericSecretDetails.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndGenericSecretDetails` instance with all required arguments.
  `BckndGenericSecretDetails`
  `createdAt(String createdAt)`
  Set the createdAt of this `BckndGenericSecretDetails` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCreatedAt()`
  Timestamp at which secret was created
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndGenericSecretDetails`.
  `List<BckndGenericSecretLabel>`
  `getLabels()`
  Arbitrary labels as meta information
  `String`
  `getName()`
  Name of the secret
  `Map<String,Boolean>`
  `getResourceGroupSecretsSyncStatus()`
  Sync status of the replicated secrets in all resource groups of the tenant
  `int`
  `hashCode()`
  `BckndGenericSecretDetails`
  `labels(List<BckndGenericSecretLabel> labels)`
  Set the labels of this `BckndGenericSecretDetails` instance and return the same instance.
  `BckndGenericSecretDetails`
  `name(String name)`
  Set the name of this `BckndGenericSecretDetails` instance and return the same instance.
  `BckndGenericSecretDetails`
  `putresourceGroupSecretsSyncStatusItem(String key, Boolean resourceGroupSecretsSyncStatusItem)`
  Put one resourceGroupSecretsSyncStatus instance to this `BckndGenericSecretDetails` instance.
  `BckndGenericSecretDetails`
  `resourceGroupSecretsSyncStatus(Map<String,Boolean> resourceGroupSecretsSyncStatus)`
  Set the resourceGroupSecretsSyncStatus of this `BckndGenericSecretDetails` instance and return the same instance.
  `void`
  `setCreatedAt(String createdAt)`
  Set the createdAt of this `BckndGenericSecretDetails` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndGenericSecretDetails` instance.
  `void`
  `setLabels(List<BckndGenericSecretLabel> labels)`
  Set the labels of this `BckndGenericSecretDetails` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndGenericSecretDetails` instance.
  `void`
  `setResourceGroupSecretsSyncStatus(Map<String,Boolean> resourceGroupSecretsSyncStatus)`
  Set the resourceGroupSecretsSyncStatus of this `BckndGenericSecretDetails` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndGenericSecretDetails` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndGenericSecretDetails

    protected BckndGenericSecretDetails()
    Default constructor for BckndGenericSecretDetails.

- ## Method Details

  - ### name

    @Nonnull public BckndGenericSecretDetails name(@Nonnull String name)
    Set the name of this `BckndGenericSecretDetails` instance and return the same instance.
    Parameters:
      `name` - Name of the secret
    Returns:
      The same instance of this `BckndGenericSecretDetails` class

  - ### getName

    @Nonnull public String getName()
    Name of the secret
    Returns:
      name The name of this `BckndGenericSecretDetails` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `BckndGenericSecretDetails` instance.
    Parameters:
      `name` - Name of the secret

  - ### createdAt

    @Nonnull public BckndGenericSecretDetails createdAt(@Nonnull String createdAt)
    Set the createdAt of this `BckndGenericSecretDetails` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp at which secret was created
    Returns:
      The same instance of this `BckndGenericSecretDetails` class

  - ### getCreatedAt

    @Nonnull public String getCreatedAt()
    Timestamp at which secret was created
    Returns:
      createdAt The createdAt of this `BckndGenericSecretDetails` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull String createdAt)
    Set the createdAt of this `BckndGenericSecretDetails` instance.
    Parameters:
      `createdAt` - Timestamp at which secret was created

  - ### labels

    @Nonnull public BckndGenericSecretDetails labels(@Nullable List<BckndGenericSecretLabel> labels)
    Set the labels of this `BckndGenericSecretDetails` instance and return the same instance.
    Parameters:
      `labels` - Arbitrary labels as meta information
    Returns:
      The same instance of this `BckndGenericSecretDetails` class

  - ### addLabelsItem

    @Nonnull public BckndGenericSecretDetails addLabelsItem(@Nonnull BckndGenericSecretLabel labelsItem)
    Add one labels instance to this `BckndGenericSecretDetails`.
    Parameters:
      `labelsItem` - The labels that should be added
    Returns:
      The same instance of type `BckndGenericSecretDetails`

  - ### getLabels

    @Nonnull public List<BckndGenericSecretLabel> getLabels()
    Arbitrary labels as meta information
    Returns:
      labels The labels of this `BckndGenericSecretDetails` instance.

  - ### setLabels

    public void setLabels(@Nullable List<BckndGenericSecretLabel> labels)
    Set the labels of this `BckndGenericSecretDetails` instance.
    Parameters:
      `labels` - Arbitrary labels as meta information

  - ### resourceGroupSecretsSyncStatus

    @Nonnull public BckndGenericSecretDetails resourceGroupSecretsSyncStatus(@Nullable Map<String,Boolean> resourceGroupSecretsSyncStatus)
    Set the resourceGroupSecretsSyncStatus of this `BckndGenericSecretDetails` instance and return the same instance.
    Parameters:
      `resourceGroupSecretsSyncStatus` - Sync status of the replicated secrets in all resource groups of the tenant
    Returns:
      The same instance of this `BckndGenericSecretDetails` class

  - ### putresourceGroupSecretsSyncStatusItem

    @Nonnull public BckndGenericSecretDetails putresourceGroupSecretsSyncStatusItem(@Nonnull String key, @Nonnull Boolean resourceGroupSecretsSyncStatusItem)
    Put one resourceGroupSecretsSyncStatus instance to this `BckndGenericSecretDetails` instance.
    Parameters:
      `key` - The String key of this resourceGroupSecretsSyncStatus instance
      `resourceGroupSecretsSyncStatusItem` - The resourceGroupSecretsSyncStatus that should be added under the given key
    Returns:
      The same instance of type `BckndGenericSecretDetails`

  - ### getResourceGroupSecretsSyncStatus

    @Nonnull public Map<String,Boolean> getResourceGroupSecretsSyncStatus()
    Sync status of the replicated secrets in all resource groups of the tenant
    Returns:
      resourceGroupSecretsSyncStatus The resourceGroupSecretsSyncStatus of this `BckndGenericSecretDetails` instance.

  - ### setResourceGroupSecretsSyncStatus

    public void setResourceGroupSecretsSyncStatus(@Nullable Map<String,Boolean> resourceGroupSecretsSyncStatus)
    Set the resourceGroupSecretsSyncStatus of this `BckndGenericSecretDetails` instance.
    Parameters:
      `resourceGroupSecretsSyncStatus` - Sync status of the replicated secrets in all resource groups of the tenant

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndGenericSecretDetails`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndGenericSecretDetails` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndGenericSecretDetails` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndGenericSecretDetails` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndGenericSecretDetails.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndGenericSecretDetails` instance with all required arguments.